Bug 531344 - lightning reminder does not come to front.
lightning reminder does not come to front.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird-lightning (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
: Tracking, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 15:32 EDT by Orion Poplawski
Modified: 2013-10-30 11:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 11:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 202620 None None None Never
Mozilla Foundation 433531 None None None Never

  None (edit)
Description Orion Poplawski 2009-10-27 15:32:35 EDT
Description of problem:

Running lightning pluging.  Reminder notices are not popping up to the foreground and so are pretty much worthless.

Version-Release number of selected component (if applicable):
thunderbird-lightning-1.0-0.12.20090916hg.fc12.i686
Comment 1 Bug Zapper 2009-11-16 09:26:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeff Bastian 2009-12-18 12:54:46 EST
I solved this with some KDE window specific settings to force the window to always be on top and sticky across all desktops.  It would be nice if Sunbird did it itself, though.

1. Go to KDE System Settings -> Window Behavior -> Window Specific -> New
2. Window Tab: 
      Description: Sunbird Reminders
      Window class: calendar
         Match whole window class: unchecked
         Exact match
      Window role: alarmwindow
         Exact match
3. Window Extra tab:
      Window Types: Dialog Window
4. Geometry tab:
      Desktop - Force - All Desktops
5. Preferences tab:
      Keep Above - Force - (checked)
Comment 3 Bug Zapper 2010-11-04 05:02:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Orion Poplawski 2010-11-04 11:59:37 EDT
Still a problem.
Comment 5 Orion Poplawski 2010-11-04 13:49:20 EDT
Looks like upstream is still debating what to do.
Comment 6 Orion Poplawski 2013-10-30 11:21:35 EDT
This appears to be fixed now in 2.6.

Note You need to log in before you can comment on or make changes to this bug.